#!/usr/bin/env node

var program = require('commander'),
    se2thai = require('./index');

program
    .version('1.1.1')
    .usage('se2thai [options]')
    .option('-r, --root [value]', 'optional, 文档根目录，如果不传取当前执行时的目录')
    .option('-t, --target [value]', 'optional, static版本目录，如果不传用默认值v1.0')
    .parse(process.argv);

var root = program.root,
    target = program.target;

var info = [':D', ':(', ':|'];
var log = function(msg, type) {
    if (!type) type = 'success';
    switch (type) {
        case 'success':
            msg = '\x1B[32m' + '[' + info[0] + '] ' + msg + '\x1B[39m';
            break;
        case 'fail':
            msg = '\x1B[31m' + '[' + info[1] + '] ' + msg + '\x1B[39m';
            break;
        case 'warn':
            msg = '\x1B[33m' + '[' + info[2] + '] ' + msg + '\x1B[39m';
            break;
    }
    console.log(msg.replace(/\\/g, '/'));
};
var callback = function(msgs) {
    if (msgs.length > 0) {
        msgs.forEach(function(o) {
            log(o.msg, o.type)
        });
    }
};

se2thai(root, target, callback);

